Table of Contents

## Name

AuMakeElementExportBucket - initialize an ExportBucket element

## Synopsis

#include <audio/audiolib.h>

AuMakeElementExportBucket(element, input, bucket, num_samples, offset, num_actions, actions)
AuElement *element; /* RETURN */
unsigned short input;
AuBucketID bucket;
AuUint32 num_samples;
AuInt32 offset;
int num_actions;
AuElementAction *actions;

## Arguments

element
  Returns the initialized element.
input
  Specifies the index of the element to supply the audio data to this element.
bucket
  Specifies the ID of the bucket to write the audio data to.
num_samples
  Specifies the number of samples to write to the bucket.
offset
  Specifies the offset into the bucket to begin writing at.
num_actions
  Specifies the number of actions in actions.
actions
  Specifies the list of actions to associate with this element. Entries in this list can be initialized with AuMakeChangeStateAction, AuMakeSendNotifyAction, and AuMakeNoopAction. May be NULL.

## Description

AuMakeElementExportBucket sets the type member of element to AuElementTypeExportBucket and initializes the exportbucket member of element with the remaining arguments.

AuMakeElementExportBucket is implemented as a macro.

## See Also

AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementExportMonitor, AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also